Skip to navigation

Initiate an outgoing instant payment credit transfer.

View as Markdown

This endpoint validates your request and synchronously responds with HTTP status 202 (accepted) after successful validation. If validation fails, the endpoint synchronously responds with error (HTTP status 4XX / 5XX and any applicable ISO 20022 reason code), indicating Citi couldn’t accept your transaction initiation request.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

Idempotency-IdstringRequired<=128 characters

Your unique identification for a POST request

  • Maximum length is 128.
  • CitiConnect API responds with an error (HTTP status 4XX) if your POST request idempotency identification value is a duplicate across a recent history of idempotency identifications in Citi’s database.
  • If you don’t receive any response (HTTP status 2XX, 4XX or 5XX) from Citi to your POST request and you wish to retry, reinitiate your request with the same idempotency identification to prevent accidental duplicate payment.

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

Request

This endpoint validates your request and synchronously responds with HTTP status 202 (accepted) after successful validation. If validation fails, the endpoint synchronously responds with error (HTTP status 4XX / 5XX and any applicable ISO 20022 reason code), indicating Citi couldn’t accept your transaction initiation request.

debtorobjectRequired
Debtor information
creditorobjectRequired
Creditor information
methodobjectRequired
transactionobjectRequired
ultimate_debtorobjectOptional
Ultimate Debtor information
ultimate_creditorobjectOptional
Ultimate Creditor information
intermediarylist of objectsOptional
Intermediary agent information
instructing_agentobjectOptional

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

Accepted
debtorobject
Debtor information
creditorobject
Object representing the receiver of a transaction.
methodobject
transactionobject
message_idstringOptional<=35 characters

Message Identification

  • If transaction.status.code = ACCC/PDNG/RJCT/ACWP then this field may be present
ultimate_debtorobjectOptional
ultimate_creditorobjectOptional
intermediarylist of objectsOptional
Intermediary agent information status
instructed_agentobjectOptional
instructing_agentobjectOptional
account_validationobjectOptional
initiating_partyobjectOptional
original_paymentobjectOptional

Either populate uetr OR (end_to_end_id AND value_date) for the refund to be processed

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error